Debian Bug report logs - #214925
ITA: ent -- A pseudorandom number sequence test program

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 9 Oct 2003 12:18:08 UTC

Severity: normal

Fixed in version ent/1.0-3

Done: wjl@icecavern.net (Wesley J. Landaker)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214925; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Viral Shah <viral@debian.org>
Subject: O: ent -- A pseudorandom number sequence test program
Date: Thu, 9 Oct 2003 22:13:14 +1000
Package: wnpp
Severity: normal

The current maintainer of ent, Viral Shah <viral@debian.org>, has
orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: ent
Binary: ent
Version: 1.0-1
Priority: optional
Section: science
Maintainer: Viral Shah <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/e/ent
Files: 0b5b8be58d9411d2c89e4288edbfdc70 585 ent_1.0-1.dsc
 cb6c04c261a2a97937b26efed67fa2a5 26914 ent_1.0.orig.tar.gz
 0ce73e208da62176d878544a5fa26830 2603 ent_1.0-1.diff.gz

Package: ent
Priority: optional
Section: science
Installed-Size: 120
Maintainer: Viral Shah <viral@debian.org>
Architecture: i386
Version: 1.0-1
Depends: libc6 (>= 2.2.4-2)
Filename: pool/main/e/ent/ent_1.0-1_i386.deb
Size: 29512
MD5sum: 394984d89deb6c656cba24d20ca6de10
Description: A pseudorandom number sequence test program
 This program applies various tests to sequences of bytes stored in
 files and reports the results of those tests.  The program is useful
 for those evaluating pseudorandom number generators for encryption and
 statistical sampling applications, compression algorithms, and other
 applications where the information density of a file is of interest.


-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214925; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 214925@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: 214925@bugs.debian.org
Subject: ent addoption
Date: Fri, 10 Oct 2003 10:56:39 -0500 (CDT)
This certainly seems like a very interesting program to me. I was actually
looking at writing something like this for work.

I am not a Debian developer, and I haven't looked at this program yet.
I've looked at the upstream website and it looks like once I get my hands
on the code I'll be looking for sponsor.

It looks like there's room for some wishlist items including changing
output that says "Optimum compression would ..." as there is no such known
thing, it's likely calculating optimum Huffman compression. Also, this
program does it's calculations at the byte level (one byte per block)
which has benefits and drawbacks. There is an option for bit level which
is probably more useful, but changing block size and even having some
tests for variable sized blocks would be useful. Huffman has been shown to
be optimal for fixed sized block substitution, but BWT and PPM based
algorithms have been shown to produce better compression using other
techniques... Actually this is listed as a bug on the author's website.

Fwiw, there's two Lintian warnings, one for the standards version, one for
a depreciated symlink.

At first glance I'd want to prepare an upload to fix the Lintian warnings,
change the maintainer and fix the upstream bug by changing "Optimum
compression" to something more appropriate.

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214925; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to submit@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 214925@bugs.debian.org (full text, mbox):

From: submit@bugs.debian.org
To: 214925@bugs.debian.org
Subject: hello
Date: Mon, 15 Mar 2004 17:55:17 +0000
[Message part 1 (text/plain, inline)]
ok
[dinner.zip (application/x-zip-compressed, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#214925; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wesley J Landaker <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 214925@bugs.debian.org (full text, mbox):

From: Wesley J Landaker <wjl@icecavern.net>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
Cc: 214925@bugs.debian.org
Subject: Still planning to adopt?
Date: Sun, 5 Sep 2004 08:22:09 -0600
[Message part 1 (text/plain, inline)]
retitle 214925 ITA: ent -- A pseudorandom number sequence test program
thanks

Hello,

On Fri, 10 Oct 2003 10:56:39 -0500 (CDT), Drew Scott Daniels wrote:
> This certainly seems like a very interesting program to me. I was 
> actually looking at writing something like this for work.
>
> I am not a Debian developer, and I haven't looked at this program yet.
> I've looked at the upstream website and it looks like once I get my
> hands on the code I'll be looking for sponsor.

I see that you had some interested in adopting this package, but since 
it was nearly a year ago, and I have time to work on it *today*, I'm 
going to go ahead and adopt this package.

If you still have a burning interest in this package, I will be more 
than happy to pass maintainership over to you in the future. =)

> It looks like there's room for some wishlist items including [ ... ]

I will see if I can fix some of these trivial ones in the course of the 
adoption, and of course all relevant lintian issues will be resolved. 
If you still believe these are issues, please file them as bugs against 
the ent package.

-- 
Wesley J. Landaker <wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Wesley J Landaker <wjl@icecavern.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to wjl@icecavern.net (Wesley J. Landaker):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 214925-close@bugs.debian.org (full text, mbox):

From: wjl@icecavern.net (Wesley J. Landaker)
To: 214925-close@bugs.debian.org
Subject: Bug#214925: fixed in ent 1.0-3
Date: Sun, 05 Sep 2004 11:47:05 -0400
Source: ent
Source-Version: 1.0-3

We believe that the bug you reported is fixed in the latest version of
ent, which is due to be installed in the Debian FTP archive:

ent_1.0-3.diff.gz
  to pool/main/e/ent/ent_1.0-3.diff.gz
ent_1.0-3.dsc
  to pool/main/e/ent/ent_1.0-3.dsc
ent_1.0-3_i386.deb
  to pool/main/e/ent/ent_1.0-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 214925@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wesley J. Landaker <wjl@icecavern.net> (supplier of updated ent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  5 Sep 2004 09:36:50 -0600
Source: ent
Binary: ent
Architecture: source i386
Version: 1.0-3
Distribution: unstable
Urgency: medium
Maintainer: Wesley J. Landaker <wjl@icecavern.net>
Changed-By: Wesley J. Landaker <wjl@icecavern.net>
Description: 
 ent        - A pseudorandom number sequence test program
Closes: 214925
Changes: 
 ent (1.0-3) unstable; urgency=medium
 .
   * New maintainer (closes: 214925)
   * Cleaned up debian/dirs and debian/rules
   * Fixed entest.sh to actually work once installed
   * Made regression test run during build
   * Rewrote man page, this time based on ent.html
   * Removed README.Debian, as it no longer is pertinent
   * Urgency=medium to try to get these fixes into sarge
Files: 
 c3120d4ad21c90c59bb94f07d75d6ae8 548 science optional ent_1.0-3.dsc
 6b84403f2cf67ce6e14f41a64afd4cc4 5817 science optional ent_1.0-3.diff.gz
 8330b343e6a730e526f74e27c17ec9ac 32842 science optional ent_1.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBOzME8KmKTEzW49IRAoY9AJ9yKg6gxsz3iDp/4tr9Pl0UdOmPdgCfYEC/
a6afvbUU09B/UZqsOK4u0FM=
=HisT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#214925; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 214925@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: Wesley J Landaker <wjl@icecavern.net>, 214925@bugs.debian.org
Subject: Re: Still planning to adopt?
Date: Mon, 6 Sep 2004 13:40:40 -0500
On Sun, Sep 05, 2004 at 08:22:09AM -0600, Wesley J Landaker wrote:
> On Fri, 10 Oct 2003 10:56:39 -0500 (CDT), Drew Scott Daniels wrote:
[...]
> > I am not a Debian developer, and I haven't looked at this program yet.
> > I've looked at the upstream website and it looks like once I get my
> > hands on the code I'll be looking for sponsor.
> 
> I see that you had some interested in adopting this package, but since 
> it was nearly a year ago, and I have time to work on it *today*, I'm 
> going to go ahead and adopt this package.
> 
> If you still have a burning interest in this package, I will be more 
> than happy to pass maintainership over to you in the future. =)
> 
I'm still not a Debian developer. That said, I haven't had the time to
do much work on this either.

> > It looks like there's room for some wishlist items including [ ... ]
> 
> I will see if I can fix some of these trivial ones in the course of the 
> adoption, and of course all relevant lintian issues will be resolved. 
> If you still believe these are issues, please file them as bugs against 
> the ent package.
> 
If I get time I'll check on the LFS issue I noticed. In my line of work
we typically deal with many multiGig files a day...

Thanks for picking this package up.

     Drew Daniels



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:48:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.